crypton-1.0.4: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.DES

Description

Synopsis

- data DES

# Documentation

data DES Source #

DES Context

#### Instances

Instances details

Cipher DES Source # |
Instance details Defined in Crypto.Cipher.DES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES Source # cipherName :: DES -> String Source # cipherKeySize :: DES -> KeySizeSpecifier Source #
BlockCipher DES Source # |

Instance details

Defined in Crypto.Cipher.DES

Methods

blockSize :: DES -> Int Source #

ecbEncrypt :: ByteArray ba => DES -> ba -> ba Source #

ecbDecrypt :: ByteArray ba => DES -> ba -> ba Source #

cbcEncrypt :: ByteArray ba => DES -> IV DES -> ba -> ba Source #

cbcDecrypt :: ByteArray ba => DES -> IV DES -> ba -> ba Source #

cfbEncrypt :: ByteArray ba => DES -> IV DES -> ba -> ba Source #

cfbDecrypt :: ByteArray ba => DES -> IV DES -> ba -> ba Source #

ctrCombine :: ByteArray ba => DES -> IV DES -> ba -> ba Source #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES -> iv -> CryptoFailable (AEAD DES) Source #

Eq DES Source # |
Instance details Defined in Crypto.Cipher.DES Methods (==) :: DES -> DES -> Bool Source # (/=) :: DES -> DES -> Bool Source #